package com.jeeplus.modules.sg.managementcenter.materialproject.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.io.Externalizable;
import java.io.Serializable;

public class MaterialProject extends DataEntity<MaterialProject>{
    //储备项目名称
    private String reserveProjectName;
    //储备编码
    private String reserveCode;
    //项目类型
    private String projectType;
    //项目计划年度批次
    private String batchPlan;
    //项目正式发文批次
    private String issuePlan;
    //项目年度实施计划（月份）
    private String monthPlan;
    //年度计划有无预测
    private String hasPlan;
    //项目物资执行计划（上半年/下半年）
    private String halfPlan;
    //项目定义
    private String projectId;
    //项目名称
    private String projectName;
    //是否是二次涉电项目
    private String isSecondary;
    //归属年份
    private String attributionYear;
    //项目是否可以进场状态
    private String canEnter;

    private String arrageProject;//项目计划安排
    private String arrageProject1;//项目计划安排

    private String projectStatus;

    private String[] reserveCodes;//储备编码(多条)
    private String[] projectCodes;//项目编码(多条)

    private String secondPower;//是否二次设电 1-未二次涉电 1-二次涉电



    @ExcelField(title="储备项目名称", align=2, sort=1)
    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    @ExcelField(title="储备编码", align=2, sort=2)
    public String getReserveCode() {
        return reserveCode;
    }

    public void setReserveCode(String reserveCode) {
        this.reserveCode = reserveCode;
    }

    @ExcelField(title="项目类型", align=2, sort=3)
    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    @ExcelField(title="项目计划年度批次", align=2, sort=4)
    public String getBatchPlan() {
        return batchPlan;
    }

    public void setBatchPlan(String batchPlan) {
        this.batchPlan = batchPlan;
    }

    @ExcelField(title="项目正式发文批次", align=2, sort=5)
    public String getIssuePlan() {
        return issuePlan;
    }

    public void setIssuePlan(String issuePlan) {
        this.issuePlan = issuePlan;
    }

    @ExcelField(title="项目年度实施计划", align=2, sort=6)
    public String getMonthPlan() {
        return monthPlan;
    }

    public void setMonthPlan(String monthPlan) {
        this.monthPlan = monthPlan;
    }

    @ExcelField(title="年度计划有无预测", align=2, sort=7)
    public String getHasPlan() {
        return hasPlan;
    }

    public void setHasPlan(String hasPlan) {
        this.hasPlan = hasPlan;
    }

    @ExcelField(title="项目物资执行计划", align=2, sort=8)
    public String getHalfPlan() {
        return halfPlan;
    }

    public void setHalfPlan(String halfPlan) {
        this.halfPlan = halfPlan;
    }

    @ExcelField(title="项目定义", align=2, sort=9)
    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    @ExcelField(title="项目名称", align=2, sort=10)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @ExcelField(title="归属年份", align=2, sort=11)
    public String getAttributionYear() {
        return attributionYear;
    }

    public void setAttributionYear(String attributionYear) {
        this.attributionYear = attributionYear;
    }

    public String getCanEnter() {
        return canEnter;
    }

    public void setCanEnter(String canEnter) {
        this.canEnter = canEnter;
    }

    public String getIsSecondary() {
        return isSecondary;
    }

    public void setIsSecondary(String isSecondary) {
        this.isSecondary = isSecondary;
    }

    public String getSecondPower() {
        return secondPower;
    }

    public void setSecondPower(String secondPower) {
        this.secondPower = secondPower;
    }

    public String getArrageProject1() {
        return arrageProject1;
    }

    public void setArrageProject1(String arrageProject1) {
        this.arrageProject1 = arrageProject1;
    }

    public String getArrageProject() {
        return arrageProject;
    }

    public void setArrageProject(String arrageProject) {
        this.arrageProject = arrageProject;
    }

    public String[] getReserveCodes() {
        return reserveCodes;
    }

    public void setReserveCodes(String[] reserveCodes) {
        this.reserveCodes = reserveCodes;
    }

    public String[] getProjectCodes() {
        return projectCodes;
    }

    public void setProjectCodes(String[] projectCodes) {
        this.projectCodes = projectCodes;
    }

    public String getProjectStatus() {
        return projectStatus;
    }

    public void setProjectStatus(String projectStatus) {
        this.projectStatus = projectStatus;
    }
}
